org.eclipse.gef.handles

## Class MoveHandle

- java.lang.Object
- - org.eclipse.draw2d.Figure
  - - org.eclipse.gef.handles.AbstractHandle
    - - org.eclipse.gef.handles.MoveHandle

All Implemented Interfaces:
  AncestorListener, IFigure, Handle

Direct Known Subclasses:
  NonResizableHandle

    public class MoveHandle
    extends AbstractHandle

A Handle used for moving `GraphicalEditPart`s.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure

`Figure.FigureIterator, Figure.IdentitySearch`

### Nested classes/interfaces inherited from interface org.eclipse.draw2d.AncestorListener

`AncestorListener.Stub`

### Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure

`IFigure.NoInsets`

### Field Summary

Fields
`protected static int` `INNER_PAD` Deprecated. subclasses should not reference this field.

### Fields inherited from class org.eclipse.draw2d.Figure

`bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

### Fields inherited from interface org.eclipse.draw2d.IFigure

`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

### Constructor Summary

Constructors
Constructor and Description
`MoveHandle(GraphicalEditPart owner)` Creates a MoveHandle for the given `GraphicalEditPart` using a default `Locator`.
`MoveHandle(GraphicalEditPart owner, Locator loc)` Creates a MoveHandle for the given `GraphicalEditPart` using the given `Locator`.

### Method Summary

Methods
`boolean` `containsPoint(int x, int y)` Returns `true` if the point (x,y) is contained within this handle.
`protected DragTracker` `createDragTracker()` Overridden to create a `DragEditPartsTracker`.
`Point` `getAccessibleLocation()` Returns a point along the right edge of the handle.
`protected void` `initialize()` Initializes the handle.

### Methods inherited from class org.eclipse.gef.handles.AbstractHandle

`addNotify, ancestorAdded, ancestorMoved, ancestorRemoved, getDragCursor, getDragTracker, getLocator, getOwner, getOwnerFigure, removeNotify, setDragCursor, setDragTracker, setLocator, setOwner, validate`

### Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, fireMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getClippingStrategy, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isOpaque, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, paint, paintBorder, paintChildren, paintClientArea, paintFigure, primTranslate, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setClippingStrategy, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, useLocalCoordinates`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INNER_PAD

    protected static final int INNER_PAD

Deprecated. subclasses should not reference this field.
The hit-threshold for `containsPoint(int, int)`.

See Also:
  Constant Field Values

### Constructor Detail

#### MoveHandle

    public MoveHandle(GraphicalEditPart owner)

Creates a MoveHandle for the given `GraphicalEditPart` using a default `Locator`.

Parameters:
  `owner` - The GraphicalEditPart to be moved by this handle.

#### MoveHandle

    public MoveHandle(GraphicalEditPart owner,
              Locator loc)

Creates a MoveHandle for the given `GraphicalEditPart` using the given `Locator`.

Parameters:
  `owner` - The GraphicalEditPart to be moved by this handle.
  `loc` - The Locator used to place the handle.

### Method Detail

#### createDragTracker

    protected DragTracker createDragTracker()

Overridden to create a `DragEditPartsTracker`.

Specified by:
  `createDragTracker` in class `AbstractHandle`
Returns:
  a new drag tracker
See Also:
  `AbstractHandle.createDragTracker()`

#### containsPoint

    public boolean containsPoint(int x,
                        int y)

Returns `true` if the point (x,y) is contained within this handle.

Specified by:
  `containsPoint` in interface `IFigure`
Overrides:
  `containsPoint` in class `Figure`
Parameters:
  `x` - The x coordinate.
  `y` - The y coordinate.
Returns:
  `true` if the point (x,y) is contained within this handle.

#### getAccessibleLocation

    public Point getAccessibleLocation()

Returns a point along the right edge of the handle.

Specified by:
  `getAccessibleLocation` in interface `Handle`
Overrides:
  `getAccessibleLocation` in class `AbstractHandle`
Returns:
  `null` or the absolute location
See Also:
  `Handle.getAccessibleLocation()`

#### initialize

    protected void initialize()

Initializes the handle. Sets the `DragTracker` and DragCursor.